| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::BspSceneLoader Class Reference
Plugins » BSPSceneManager

Manages the locating and loading of BSP-based indoor levels. More...

`#include <OgreBspSceneLoader.h>`

Inheritance diagram for Ogre::BspSceneLoader:
[legend]

## Public Member Functions
| BspSceneLoader ()
| ~BspSceneLoader ()
void | load (DataStreamPtr &stream, const String &group, SceneNode *rootNode)
| Loads a BSP-based level from a stream. More...

## Detailed Description

Manages the locating and loading of BSP-based indoor levels.

## Constructor & Destructor Documentation

## ◆ BspSceneLoader()

Ogre::BspSceneLoader::BspSceneLoader | ( |  | ) |

## ◆ ~BspSceneLoader()

Ogre::BspSceneLoader::~BspSceneLoader | ( |  | ) |

## Member Function Documentation

## ◆ load()

void Ogre::BspSceneLoader::load | ( | DataStreamPtr & | stream,
|  | const String & | group,
|  | SceneNode * | rootNode
| ) |  |
| virtual

Loads a BSP-based level from a stream.

Currently only supports loading of Quake3 .bsp files.

Implements Ogre::SceneLoader.

The documentation for this class was generated from the following file:

- OgreBspSceneLoader.h